Loading...
Searching...
No Matches
Repository locks
Working copy management

## Functions

svn_error_t * | svn_wc_add_lock2 (svn_wc_context_t *wc_ctx, const char *abspath, const svn_lock_t *lock, apr_pool_t *scratch_pool)
| Add lock to the working copy for local_abspath.
svn_error_t * | svn_wc_add_lock (const char *path, const svn_lock_t *lock, svn_wc_adm_access_t *adm_access, apr_pool_t *pool)
| Similar to svn_wc_add_lock2(), but with a svn_wc_adm_access_t / relative path parameter pair.
svn_error_t * | svn_wc_remove_lock2 (svn_wc_context_t *wc_ctx, const char *local_abspath, apr_pool_t *scratch_pool)
| Remove any lock from local_abspath.
svn_error_t * | svn_wc_remove_lock (const char *path, svn_wc_adm_access_t *adm_access, apr_pool_t *pool)
| Similar to svn_wc_remove_lock2(), but with a svn_wc_adm_access_t / relative path parameter pair.

## Detailed Description

## Function Documentation

## svn_wc_add_lock()

svn_error_t * svn_wc_add_lock | ( | const char * | path,
|  | const svn_lock_t * | lock,
|  | svn_wc_adm_access_t * | adm_access,
|  | apr_pool_t * | pool )

Similar to svn_wc_add_lock2(), but with a svn_wc_adm_access_t / relative path parameter pair.

Deprecated
  Provided for backward compatibility with the 1.6 API.

Since
  New in 1.2.

References lock, and path.

## svn_wc_add_lock2()

svn_error_t * svn_wc_add_lock2 | ( | svn_wc_context_t * | wc_ctx,
|  | const char * | abspath,
|  | const svn_lock_t * | lock,
|  | apr_pool_t * | scratch_pool )

Add lock to the working copy for local_abspath.

If local_abspath is read-only, due to locking properties, make it writable. Perform temporary allocations in scratch_pool.

Since
  New in 1.7.

References lock, and SVN_DEPRECATED.

## svn_wc_remove_lock()

svn_error_t * svn_wc_remove_lock | ( | const char * | path,
|  | svn_wc_adm_access_t * | adm_access,
|  | apr_pool_t * | pool )

Similar to svn_wc_remove_lock2(), but with a svn_wc_adm_access_t / relative path parameter pair.

Deprecated
  Provided for backward compatibility with the 1.6 API.

Since
  New in 1.2.

References path.

## svn_wc_remove_lock2()

svn_error_t * svn_wc_remove_lock2 | ( | svn_wc_context_t * | wc_ctx,
|  | const char * | local_abspath,
|  | apr_pool_t * | scratch_pool )

Remove any lock from local_abspath.

If local_abspath has a lock and the locking so specifies, make the file read-only. Don't return an error if local_abspath didn't have a lock. Perform temporary allocations in scratch_pool.

Since
  New in 1.7.

References SVN_DEPRECATED.